% from rest.tool_color import color
<!DOCTYPE html>
<html>
  <head>
    <style>
html {
  --scrollbarBG: #333333;
  --thumbBG: #080808;
}
body {
  background-color: #080808;
  color: #cccccc;
}
label span {
    font-size: 2em;
}
input[type=text] {
    font-size: 3em;
    text-align: center;
}
button[type=submit] {
    font-size: 1.5em;
}
form {
    position: absolute;
    top: 50vh;
    height: 12em;
    margin-top: -8em;
    padding-bottom: 4em;
    left: 50vw;
    width: 15em;
    margin-left: -7.5em;
    display: inline-grid;
}
    </style>
    <title>{{tool.title()}}</title>
    <link rel="manifest" href="/static/{{tool}}-manifest.json"/>
    <link rel="icon" href="/static/{{tool}}-favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/purecss@2.1.0/build/pure-min.css" integrity="sha384-yHIFVG6ClnONEA5yB5DJXfW2/KC173DIQrYoZMEtBvGzmf0PKiGyNEqe9N6BNDBH" crossorigin="anonymous"/>
    <link rel="stylesheet" href="https://shandan.one/css/grids-responsive-min.css"/>
    <link rel="stylesheet" href="https://shandan.one/css/responsive-visibility-collapse.css"/>
  </head>
  <body style="text-align: center">
      % include('form-new')
      <form id="{{tool}}-open" action="{{action}}" method="{{method}}">
        % include(f'button-new')
        <input
          type="text"
          id="{{tool}}-code"
          name="hash"
          placeholder="C0DE"
          required="true"
          pattern="[A-TV-Za-tv-z0-9]{1,5}"
          title="Base32 Code: Any of letters A-Z (excluding U) or digits 0-9.&#10;&#10;Note: O 0 and i I l L 1 can be used interchangeably"
          size="5"
          style="margin: 0.3em 0 0.3em"
          autofocus="true"
        ></input>
        <button class="button-resize pure-button" type="submit" form="{{tool}}-open"> Submit </button>
    </form>
  </body>
</html>