% from rest.tool_color import color
% link = setdefault("link", "") or ""
% disabled = setdefault("disabled", "") and 'disabled="true"'
% download = setdefault("download", "") or ""
% download_disabled = "" if download else 'disabled="true"'
<!DOCTYPE html>
<html>
  <head>
    <style>
html {
  --scrollbarBG: #333333;
  --thumbBG: #080808;
}
body {
  background-color: #080808;
  color: #cccccc;
}
img {
  background-color: floralwhite;
  color: black;
  max-height: min(100vh, calc(100vw * 9 / 16));
  max-width: calc(100vw - 2em);
}
    </style>
    <title>Paste</title>
    <link rel="manifest" href="/static/clip-manifest.json"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/purecss@2.1.0/build/pure-min.css" integrity="sha384-yHIFVG6ClnONEA5yB5DJXfW2/KC173DIQrYoZMEtBvGzmf0PKiGyNEqe9N6BNDBH" crossorigin="anonymous"/>
    <link rel="stylesheet" href="https://shandan.one/css/grids-responsive-min.css"/>
    <link rel="stylesheet" href="https://shandan.one/css/responsive-visibility-collapse.css"/>
  </head>
  <body align="center" style="text-align: center">
    <div class="pure-g">
      <div class="pure-u-1">
        % include('buttongroup-clip')
      </div>
      <div class="pure-u-1">
        <div class="pure-button" style="margin: 1em 0 0; background: {{ color['clip'] }};">
          <a href="{{!link}}" style="color: floralwhite;">{{ link }}</a>
        </div>
      </div>
      <div class="pure-u-1">
        <p><details><summary> Show QR code ...</summary><img src="{{qr}}"/></details></p>
{{!form}}
<form id="download" method="get" action="{{ download }}">
<input name="raw" type="text" hidden="true" value="true" />
</form>
      </div>
    </div>
  </body>
</html>
